﻿namespace FunWithXMLs.Model
{
  using System.Collections.Generic;
  using System.Windows.Controls;
  using System.Xml.Linq;
  using System.Xml.Serialization;

  [XmlRoot("project")]
  public class Project
  {
    [XmlElement(ElementName = "menu")]
    public Menu Menu { get; set; }
  }

  public class Menu
  {
    [XmlAttribute("back_image")]
    public string backImage {get; set;}

    [XmlElement(ElementName = "mnu_item")]
    public List<MenuItem> MenuItem { get; set; }
  }

  public class MenuItem
  {
    [XmlAttribute("txt")]
    public string Txt { get; set; }

    [XmlAttribute("anotherAttribute")]
    public string AnotherAttribute { get; set; }

    [XmlElement("sub_item")]
    public SubItem SubItem { get; set; }
  }

  public class SubItem
  {
    [XmlAttribute("txt")]
    public string Txt { get; set; }

    [XmlAttribute("articleId")]
    public string ArticleId { get; set; }
  }

}